libgedit-gfls :: low-level kit
==============================

There is some desire to create something:
- Generic and extensible.
- With a clear split between the backend and frontend.

But where libgedit-gfls is located on the stack, it makes more sense to provide
a low-level "kit" (above GIO and libICU, probably not GTK).

That is, no interfaces, just concrete classes and functions (the "meat").
Providing useful utilities and building blocks. Solving specific and independent
problems that anyway need to be solved ("divide and conquer").

Then in libgedit-tepl the building blocks can be assembled, creating a
high-level API, something generic and extensible by the application, and so on.

Integration
-----------

To see the finish line, it is necessary to **integrate** the different features.
Incrementally/progressively, not all at once at the end.
